Bug 1308234 - vxl: FTBFS in rawhide
vxl: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vxl (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
:
Depends On: 1303695
Blocks: F24FTBFS 1305216 1307273
  Show dependency treegraph
 
Reported: 2016-02-13 17:41 EST by Fedora Release Engineering
Modified: 2016-02-29 11:16 EST (History)
3 users (show)

See Also:
Fixed In Version: vxl-1.17.0-20.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 11:16:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (363.96 KB, text/plain)
2016-02-13 17:41 EST, Fedora Release Engineering
no flags Details
root.log (156.68 KB, text/plain)
2016-02-13 17:41 EST, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2016-02-13 17:41 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:41:09 EST
Your package vxl failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12877388

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:41:12 EST
Created attachment 1126770 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:41:13 EST
Created attachment 1126771 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:41:14 EST
Created attachment 1126772 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-18 23:11:44 EST
/builddir/build/BUILD/vxl-git4e07960/vcl/vcl_compiler.h:127:4: error: #error "Dunno about this gcc"
 #  error "Dunno about this gcc"
    ^~~~~

This file needs to be taught about gcc 5/6/etc.
Comment 5 Jan Kurik 2016-02-24 10:18:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.